We recommend new projects start with resources from the AWS provider.
published on Monday, Nov 2, 2026 by Pulumi
We recommend new projects start with resources from the AWS provider.
published on Monday, Nov 2, 2026 by Pulumi
Create and manage a Domain Configuration
Using getDomainConfiguration
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getDomainConfiguration(args: GetDomainConfigurationArgs, opts?: InvokeOptions): Promise<GetDomainConfigurationResult>
function getDomainConfigurationOutput(args: GetDomainConfigurationOutputArgs, opts?: InvokeOutputOptions): Output<GetDomainConfigurationResult>def get_domain_configuration(domain_configuration_name: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetDomainConfigurationResult
def get_domain_configuration_output(domain_configuration_name: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetDomainConfigurationResult]func LookupDomainConfiguration(ctx *Context, args *LookupDomainConfigurationArgs, opts ...InvokeOption) (*LookupDomainConfigurationResult, error)
func LookupDomainConfigurationOutput(ctx *Context, args *LookupDomainConfigurationOutputArgs, opts ...InvokeOption) LookupDomainConfigurationResultOutput> Note: This function is named LookupDomainConfiguration in the Go SDK.
public static class GetDomainConfiguration
{
public static Task<GetDomainConfigurationResult> InvokeAsync(GetDomainConfigurationArgs args, InvokeOptions? opts = null)
public static Output<GetDomainConfigurationResult> Invoke(GetDomainConfigurationInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetDomainConfigurationResult> Invoke(GetDomainConfigurationInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetDomainConfigurationResult> getDomainConfiguration(GetDomainConfigurationArgs args, InvokeOptions options)
public static Output<GetDomainConfigurationResult> getDomainConfiguration(GetDomainConfigurationArgs args, InvokeOptions options)
public static Output<GetDomainConfigurationResult> getDomainConfiguration(GetDomainConfigurationArgs args, InvokeOutputOptions options)
fn::invoke:
function: aws-native:iot:getDomainConfiguration
arguments:
# arguments dictionarydata "aws-native_iot_get_domain_configuration" "name" {
# arguments
}The following arguments are supported:
- Domain
Configuration stringName - The name of the domain configuration. This value must be unique to a region.
- Domain
Configuration stringName - The name of the domain configuration. This value must be unique to a region.
- domain_
configuration_ stringname - The name of the domain configuration. This value must be unique to a region.
- domain
Configuration StringName - The name of the domain configuration. This value must be unique to a region.
- domain
Configuration stringName - The name of the domain configuration. This value must be unique to a region.
- domain_
configuration_ strname - The name of the domain configuration. This value must be unique to a region.
- domain
Configuration StringName - The name of the domain configuration. This value must be unique to a region.
getDomainConfiguration Result
The following output properties are available:
- Application
Protocol Pulumi.Aws Native. Io T. Domain Configuration Application Protocol - An enumerated string that specifies the application-layer protocol.
- Arn string
- The Amazon Resource Name (ARN) of the domain configuration.
- Authentication
Type Pulumi.Aws Native. Io T. Domain Configuration Authentication Type - An enumerated string that specifies the authentication type.
-
Pulumi.
Aws Native. Io T. Outputs. Domain Configuration Authorizer Config - An object that specifies the authorization service for a domain.
- Client
Certificate Pulumi.Config Aws Native. Io T. Outputs. Domain Configuration Client Certificate Config - An object that specifies the client certificate configuration for a domain.
- Domain
Configuration Pulumi.Status Aws Native. Io T. Domain Configuration Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- Domain
Type Pulumi.Aws Native. Io T. Domain Configuration Domain Type - The type of service delivered by the domain.
- Server
Certificate Pulumi.Config Aws Native. Io T. Outputs. Domain Configuration Server Certificate Config The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- Server
Certificates List<Pulumi.Aws Native. Io T. Outputs. Domain Configuration Server Certificate Summary> - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
-
List<Pulumi.
Aws Native. Outputs. Tag> Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- Tls
Config Pulumi.Aws Native. Io T. Outputs. Domain Configuration Tls Config - An object that specifies the TLS configuration for a domain.
- Application
Protocol DomainConfiguration Application Protocol - An enumerated string that specifies the application-layer protocol.
- Arn string
- The Amazon Resource Name (ARN) of the domain configuration.
- Authentication
Type DomainConfiguration Authentication Type - An enumerated string that specifies the authentication type.
-
Domain
Configuration Authorizer Config - An object that specifies the authorization service for a domain.
- Client
Certificate DomainConfig Configuration Client Certificate Config - An object that specifies the client certificate configuration for a domain.
- Domain
Configuration DomainStatus Configuration Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- Domain
Type DomainConfiguration Domain Type - The type of service delivered by the domain.
- Server
Certificate DomainConfig Configuration Server Certificate Config The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- Server
Certificates []DomainConfiguration Server Certificate Summary - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- Tag
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- Tls
Config DomainConfiguration Tls Config - An object that specifies the TLS configuration for a domain.
- application_
protocol "SECURE_MQTT" | "MQTT_WSS" | "HTTPS" | "DEFAULT" - An enumerated string that specifies the application-layer protocol.
- arn string
- The Amazon Resource Name (ARN) of the domain configuration.
- authentication_
type "AWS_X509" | "CUSTOM_AUTH" | "AWS_SIGV4" | "CUSTOM_AUTH_X509" | "DEFAULT" - An enumerated string that specifies the authentication type.
- object
- An object that specifies the authorization service for a domain.
- client_
certificate_ objectconfig - An object that specifies the client certificate configuration for a domain.
- domain_
configuration_ "ENABLED" | "DISABLED"status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- domain_
type "ENDPOINT" | "AWS_MANAGED" | "CUSTOMER_MANAGED" - The type of service delivered by the domain.
- server_
certificate_ objectconfig The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- server_
certificates list(object) - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- list(object)
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- tls_
config object - An object that specifies the TLS configuration for a domain.
- application
Protocol DomainConfiguration Application Protocol - An enumerated string that specifies the application-layer protocol.
- arn String
- The Amazon Resource Name (ARN) of the domain configuration.
- authentication
Type DomainConfiguration Authentication Type - An enumerated string that specifies the authentication type.
-
Domain
Configuration Authorizer Config - An object that specifies the authorization service for a domain.
- client
Certificate DomainConfig Configuration Client Certificate Config - An object that specifies the client certificate configuration for a domain.
- domain
Configuration DomainStatus Configuration Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- domain
Type DomainConfiguration Domain Type - The type of service delivered by the domain.
- server
Certificate DomainConfig Configuration Server Certificate Config The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- server
Certificates List<DomainConfiguration Server Certificate Summary> - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- List<Tag>
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- tls
Config DomainConfiguration Tls Config - An object that specifies the TLS configuration for a domain.
- application
Protocol DomainConfiguration Application Protocol - An enumerated string that specifies the application-layer protocol.
- arn string
- The Amazon Resource Name (ARN) of the domain configuration.
- authentication
Type DomainConfiguration Authentication Type - An enumerated string that specifies the authentication type.
-
Domain
Configuration Authorizer Config - An object that specifies the authorization service for a domain.
- client
Certificate DomainConfig Configuration Client Certificate Config - An object that specifies the client certificate configuration for a domain.
- domain
Configuration DomainStatus Configuration Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- domain
Type DomainConfiguration Domain Type - The type of service delivered by the domain.
- server
Certificate DomainConfig Configuration Server Certificate Config The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- server
Certificates DomainConfiguration Server Certificate Summary[] - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- Tag[]
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- tls
Config DomainConfiguration Tls Config - An object that specifies the TLS configuration for a domain.
- application_
protocol DomainConfiguration Application Protocol - An enumerated string that specifies the application-layer protocol.
- arn str
- The Amazon Resource Name (ARN) of the domain configuration.
- authentication_
type DomainConfiguration Authentication Type - An enumerated string that specifies the authentication type.
-
Domain
Configuration Authorizer Config - An object that specifies the authorization service for a domain.
- client_
certificate_ Domainconfig Configuration Client Certificate Config - An object that specifies the client certificate configuration for a domain.
- domain_
configuration_ Domainstatus Configuration Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- domain_
type DomainConfiguration Domain Type - The type of service delivered by the domain.
- server_
certificate_ Domainconfig Configuration Server Certificate Config The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- server_
certificates Sequence[DomainConfiguration Server Certificate Summary] - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- Sequence[root_Tag]
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- tls_
config DomainConfiguration Tls Config - An object that specifies the TLS configuration for a domain.
- application
Protocol "SECURE_MQTT" | "MQTT_WSS" | "HTTPS" | "DEFAULT" - An enumerated string that specifies the application-layer protocol.
- arn String
- The Amazon Resource Name (ARN) of the domain configuration.
- authentication
Type "AWS_X509" | "CUSTOM_AUTH" | "AWS_SIGV4" | "CUSTOM_AUTH_X509" | "DEFAULT" - An enumerated string that specifies the authentication type.
- Property Map
- An object that specifies the authorization service for a domain.
- client
Certificate Property MapConfig - An object that specifies the client certificate configuration for a domain.
- domain
Configuration "ENABLED" | "DISABLED"Status The status to which the domain configuration should be updated.
Valid values:
ENABLED|DISABLED- domain
Type "ENDPOINT" | "AWS_MANAGED" | "CUSTOMER_MANAGED" - The type of service delivered by the domain.
- server
Certificate Property MapConfig The server certificate configuration.
For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- server
Certificates List<Property Map> - The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake. Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.
- List<Property Map>
Metadata which can be used to manage the domain configuration.
For URI Request parameters use format: ...key1=value1&key2=value2...
For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."
- tls
Config Property Map - An object that specifies the TLS configuration for a domain.
Supporting Types
DomainConfigurationApplicationProtocol
- Secure
Mqtt SECURE_MQTT- Mqtt
Wss MQTT_WSS- Https
HTTPS- Default
DEFAULT
- Domain
Configuration Application Protocol Secure Mqtt SECURE_MQTT- Domain
Configuration Application Protocol Mqtt Wss MQTT_WSS- Domain
Configuration Application Protocol Https HTTPS- Domain
Configuration Application Protocol Default DEFAULT
- "SECURE_MQTT"
SECURE_MQTT- "MQTT_WSS"
MQTT_WSS- "HTTPS"
HTTPS- "DEFAULT"
DEFAULT
- Secure
Mqtt SECURE_MQTT- Mqtt
Wss MQTT_WSS- Https
HTTPS- Default
DEFAULT
- Secure
Mqtt SECURE_MQTT- Mqtt
Wss MQTT_WSS- Https
HTTPS- Default
DEFAULT
- SECURE_MQTT
SECURE_MQTT- MQTT_WSS
MQTT_WSS- HTTPS
HTTPS- DEFAULT
DEFAULT
- "SECURE_MQTT"
SECURE_MQTT- "MQTT_WSS"
MQTT_WSS- "HTTPS"
HTTPS- "DEFAULT"
DEFAULT
DomainConfigurationAuthenticationType
- Aws
X509 AWS_X509- Custom
Auth CUSTOM_AUTH- Aws
Sigv4 AWS_SIGV4- Custom
Auth X509 CUSTOM_AUTH_X509- Default
DEFAULT
- Domain
Configuration Authentication Type Aws X509 AWS_X509- Domain
Configuration Authentication Type Custom Auth CUSTOM_AUTH- Domain
Configuration Authentication Type Aws Sigv4 AWS_SIGV4- Domain
Configuration Authentication Type Custom Auth X509 CUSTOM_AUTH_X509- Domain
Configuration Authentication Type Default DEFAULT
- "AWS_X509"
AWS_X509- "CUSTOM_AUTH"
CUSTOM_AUTH- "AWS_SIGV4"
AWS_SIGV4- "CUSTOM_AUTH_X509"
CUSTOM_AUTH_X509- "DEFAULT"
DEFAULT
- Aws
X509 AWS_X509- Custom
Auth CUSTOM_AUTH- Aws
Sigv4 AWS_SIGV4- Custom
Auth X509 CUSTOM_AUTH_X509- Default
DEFAULT
- Aws
X509 AWS_X509- Custom
Auth CUSTOM_AUTH- Aws
Sigv4 AWS_SIGV4- Custom
Auth X509 CUSTOM_AUTH_X509- Default
DEFAULT
- AWS_X509
AWS_X509- CUSTOM_AUTH
CUSTOM_AUTH- AWS_SIGV4
AWS_SIGV4- CUSTOM_AUTH_X509
CUSTOM_AUTH_X509- DEFAULT
DEFAULT
- "AWS_X509"
AWS_X509- "CUSTOM_AUTH"
CUSTOM_AUTH- "AWS_SIGV4"
AWS_SIGV4- "CUSTOM_AUTH_X509"
CUSTOM_AUTH_X509- "DEFAULT"
DEFAULT
DomainConfigurationAuthorizerConfig
- bool
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- string
- The name of the authorization service for a domain configuration.
- bool
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- string
- The name of the authorization service for a domain configuration.
- bool
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- string
- The name of the authorization service for a domain configuration.
- Boolean
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- String
- The name of the authorization service for a domain configuration.
- boolean
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- string
- The name of the authorization service for a domain configuration.
- bool
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- str
- The name of the authorization service for a domain configuration.
- Boolean
- A Boolean that specifies whether the domain configuration's authorization service can be overridden.
- String
- The name of the authorization service for a domain configuration.
DomainConfigurationClientCertificateConfig
- Client
Certificate stringCallback Arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- Client
Certificate stringCallback Arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- client_
certificate_ stringcallback_ arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- client
Certificate StringCallback Arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- client
Certificate stringCallback Arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- client_
certificate_ strcallback_ arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
- client
Certificate StringCallback Arn - The ARN of the Lambda function that IoT invokes after mutual TLS authentication during the connection.
DomainConfigurationDomainType
- Endpoint
ENDPOINT- Aws
Managed AWS_MANAGED- Customer
Managed CUSTOMER_MANAGED
- Domain
Configuration Domain Type Endpoint ENDPOINT- Domain
Configuration Domain Type Aws Managed AWS_MANAGED- Domain
Configuration Domain Type Customer Managed CUSTOMER_MANAGED
- "ENDPOINT"
ENDPOINT- "AWS_MANAGED"
AWS_MANAGED- "CUSTOMER_MANAGED"
CUSTOMER_MANAGED
- Endpoint
ENDPOINT- Aws
Managed AWS_MANAGED- Customer
Managed CUSTOMER_MANAGED
- Endpoint
ENDPOINT- Aws
Managed AWS_MANAGED- Customer
Managed CUSTOMER_MANAGED
- ENDPOINT
ENDPOINT- AWS_MANAGED
AWS_MANAGED- CUSTOMER_MANAGED
CUSTOMER_MANAGED
- "ENDPOINT"
ENDPOINT- "AWS_MANAGED"
AWS_MANAGED- "CUSTOMER_MANAGED"
CUSTOMER_MANAGED
DomainConfigurationServerCertificateConfig
- Enable
Ocsp boolCheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- string
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- Ocsp
Lambda stringArn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- Enable
Ocsp boolCheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- string
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- Ocsp
Lambda stringArn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- enable_
ocsp_ boolcheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- string
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- ocsp_
lambda_ stringarn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- enable
Ocsp BooleanCheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- String
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- ocsp
Lambda StringArn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- enable
Ocsp booleanCheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- string
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- ocsp
Lambda stringArn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- enable_
ocsp_ boolcheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- str
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- ocsp_
lambda_ strarn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
- enable
Ocsp BooleanCheck - A Boolean value that indicates whether Online Certificate Status Protocol (OCSP) server certificate check is enabled or not. For more information, see Configurable endpoints from the AWS IoT Core Developer Guide.
- String
- The Amazon Resource Name (ARN) for an X.509 certificate stored in ACM. If provided, AWS IoT Core will use this certificate to validate the signature of the received OCSP response. The OCSP responder must sign responses using either this authorized responder certificate or the issuing certificate, depending on whether the ARN is provided or not. The certificate must be in the same account and region as the domain configuration.
- ocsp
Lambda StringArn - The Amazon Resource Name (ARN) for a Lambda function that acts as a Request for Comments (RFC) 6960-compliant Online Certificate Status Protocol (OCSP) responder, supporting basic OCSP responses. The Lambda function accepts a base64-encoding of the OCSP request in the Distinguished Encoding Rules (DER) format. The Lambda function's response is also a base64-encoded OCSP response in the DER format. The response size must not exceed 4 kilobytes (KiB). The Lambda function must be in the same account and region as the domain configuration.
DomainConfigurationServerCertificateSummary
- Server
Certificate stringArn - The ARN of the server certificate.
- Server
Certificate Pulumi.Status Aws Native. Io T. Domain Configuration Server Certificate Summary Server Certificate Status - The status of the server certificate.
- Server
Certificate stringStatus Detail - Details that explain the status of the server certificate.
- Server
Certificate stringArn - The ARN of the server certificate.
- Server
Certificate DomainStatus Configuration Server Certificate Summary Server Certificate Status - The status of the server certificate.
- Server
Certificate stringStatus Detail - Details that explain the status of the server certificate.
- server_
certificate_ stringarn - The ARN of the server certificate.
- server_
certificate_ "INVALID" | "VALID"status - The status of the server certificate.
- server_
certificate_ stringstatus_ detail - Details that explain the status of the server certificate.
- server
Certificate StringArn - The ARN of the server certificate.
- server
Certificate DomainStatus Configuration Server Certificate Summary Server Certificate Status - The status of the server certificate.
- server
Certificate StringStatus Detail - Details that explain the status of the server certificate.
- server
Certificate stringArn - The ARN of the server certificate.
- server
Certificate DomainStatus Configuration Server Certificate Summary Server Certificate Status - The status of the server certificate.
- server
Certificate stringStatus Detail - Details that explain the status of the server certificate.
- server_
certificate_ strarn - The ARN of the server certificate.
- server_
certificate_ Domainstatus Configuration Server Certificate Summary Server Certificate Status - The status of the server certificate.
- server_
certificate_ strstatus_ detail - Details that explain the status of the server certificate.
- server
Certificate StringArn - The ARN of the server certificate.
- server
Certificate "INVALID" | "VALID"Status - The status of the server certificate.
- server
Certificate StringStatus Detail - Details that explain the status of the server certificate.
DomainConfigurationServerCertificateSummaryServerCertificateStatus
- Invalid
INVALID- Valid
VALID
- Domain
Configuration Server Certificate Summary Server Certificate Status Invalid INVALID- Domain
Configuration Server Certificate Summary Server Certificate Status Valid VALID
- "INVALID"
INVALID- "VALID"
VALID
- Invalid
INVALID- Valid
VALID
- Invalid
INVALID- Valid
VALID
- INVALID
INVALID- VALID
VALID
- "INVALID"
INVALID- "VALID"
VALID
DomainConfigurationStatus
- Enabled
ENABLED- Disabled
DISABLED
- Domain
Configuration Status Enabled ENABLED- Domain
Configuration Status Disabled DISABLED
- "ENABLED"
ENABLED- "DISABLED"
DISABLED
- Enabled
ENABLED- Disabled
DISABLED
- Enabled
ENABLED- Disabled
DISABLED
- ENABLED
ENABLED- DISABLED
DISABLED
- "ENABLED"
ENABLED- "DISABLED"
DISABLED
DomainConfigurationTlsConfig
- Security
Policy string - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- Security
Policy string - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- security_
policy string - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- security
Policy String - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- security
Policy string - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- security_
policy str - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
- security
Policy String - The security policy for a domain configuration. For more information, see Security policies in the AWS IoT Core developer guide .
Tag
Package Details
- Repository
- AWS Native pulumi/pulumi-aws-native
- License
- Apache-2.0
We recommend new projects start with resources from the AWS provider.
published on Monday, Nov 2, 2026 by Pulumi